Name:           e00compr
Version:        1.0.1
Release:        6%{?dist}
Summary:        Library to compress and uncompress E00 files
Group:          Applications/Engineering

License:        MIT
URL:            http://avce00.maptools.org/e00compr
Source0:        http://avce00.maptools.org/dl/%{name}-%{version}.tar.gz


%description
ANSI-C library to compress and uncompress Arc/Info Export (E00) files.
The package also contains a converter binary.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Provides: %{name}-static = %{version}-%{release}

%description devel
Contains %{name}'s development headers and library.


%prep
%setup -q
chmod -x *.h *.c
sed -i 's/\r$//' README.TXT

# Use actual header file locations in examples and documentation
sed -i 's|#include "e00compr.h"|#include <e00compr/e00compr.h>|' ex_*.c %{name}.txt %{name}.html


%build
make %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"


%install
mkdir -p %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_bindir}

# Header name conflict with cpl (cpl_error.h)
# http://bugzilla.maptools.org/show_bug.cgi?id=2367
install -pm 0644 *.h %{buildroot}%{_includedir}/%{name}
install -pm 0644 *.1 %{buildroot}%{_mandir}/man1
install -pm 0644 *.a %{buildroot}%{_libdir}
install -pm 0755 e00conv %{buildroot}%{_bindir}


%files
%doc HISTORY.TXT README.TXT e00compr.html
%{_bindir}/e00conv
%{_mandir}/man1/e00conv.1.*

%files devel
%doc ex_*.c README.TXT
%{_includedir}/%{name}/*.h
%{_libdir}/*.a


%changelog
* Tue Feb 28 2012 Volker Fröhlich <volker27@gmx.at> - 1.0.1-6
- Solve header name conflicts with cpl
- Update header location in example files and documentation

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 05 2011 Volker Fröhlich <volker27@gmx.at> - 1.0.1-4
- Remove isa macro from virtual provide
- Devel doesn't require the base package, and ships the license text too

* Thu Oct 30 2011 Volker Fröhlich <volker27@gmx.at> - 1.0.1-3
- Build with fPIC

* Thu Oct 27 2011 Volker Fröhlich <volker27@gmx.at> - 1.0.1-2
- Add isa macro to provide

* Mon Oct 17 2011 Volker Fröhlich <volker27@gmx.at> - 1.0.1-1
- Initial package for Fedora
